package com.fjhx.common.controller.logistics;

import com.alibaba.fastjson.JSONObject;
import com.fjhx.common.entity.logistics.dto.LogisticsEndingAmountSelectDto;
import com.fjhx.common.service.logistics.LogisticsEndingAmountService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 物流期末余额 前端控制器
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
@RestController
@RequestMapping("/logisticsEndingAmount")
public class LogisticsEndingAmountController {

    @Autowired
    private LogisticsEndingAmountService logisticsEndingAmountService;

    @PostMapping("/logisticsRechargeSummary")
    List<JSONObject> logisticsRechargeSummary(@RequestBody LogisticsEndingAmountSelectDto dto) {
        return logisticsEndingAmountService.logisticsRechargeSummary(dto);
    }

    @PostMapping("/logisticsPayableSummary")
    List<JSONObject> logisticsPayableSummary(@RequestBody LogisticsEndingAmountSelectDto dto) {
        return logisticsEndingAmountService.logisticsPayableSummary(dto);
    }

}
