package com.fjhx.form.entity.payable.po;

import com.baomidou.mybatisplus.annotation.TableName;
import com.ruoyi.common.core.domain.BaseIdPo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

/**
 * <p>
 * 应付帐款余额
 * </p>
 *
 * @author
 * @since 2024-06-04
 */
@Getter
@Setter
@TableName("payable_balance")
public class PayableBalance extends BaseIdPo {

    /**
     * 字符串id_供应商id-仓库id
     */
    private String idStr;

    /**
     * 年份
     */
    private Integer year;

    /**
     * 期末余额
     */
    private BigDecimal endBalance;

    /**
     * 税费调整
     */
    private BigDecimal month1TaxAdjust;

    private BigDecimal month2TaxAdjust;

    private BigDecimal month3TaxAdjust;

    private BigDecimal month4TaxAdjust;

    private BigDecimal month5TaxAdjust;

    private BigDecimal month6TaxAdjust;

    private BigDecimal month7TaxAdjust;

    private BigDecimal month8TaxAdjust;

    private BigDecimal month9TaxAdjust;

    private BigDecimal month10TaxAdjust;

    private BigDecimal month11TaxAdjust;

    private BigDecimal month12TaxAdjust;

    /**
     * 备注
     */
    private String remark;

}
