package com.fjhx.oa.service.invoice;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.oa.entity.invoice.dto.InvoiceTaxDeductionDto;
import com.fjhx.oa.entity.invoice.dto.InvoiceTaxDeductionSelectDto;
import com.fjhx.oa.entity.invoice.po.InvoiceTaxDeduction;
import com.fjhx.oa.entity.invoice.vo.InvoiceTaxDeductionVo;
import com.ruoyi.common.core.service.BaseService;


/**
 * <p>
 * 电子发票抵扣申请 服务类
 * </p>
 *
 * @author
 * @since 2024-04-11
 */
public interface InvoiceTaxDeductionService extends BaseService<InvoiceTaxDeduction> {

    /**
     * 电子发票抵扣申请分页
     */
    Page<InvoiceTaxDeductionVo> getPage(InvoiceTaxDeductionSelectDto dto);

    /**
     * 电子发票抵扣申请明细
     */
    InvoiceTaxDeductionVo detail(Long id);

    /**
     * 电子发票抵扣申请新增
     */
    void addOrEdit(InvoiceTaxDeductionDto invoiceTaxDeductionDto);

    /**
     * 电子发票抵扣申请删除
     */
    void delete(Long id);

    void cancellation(Long businessId);
}
