package com.fjhx.common.mapper.logistics;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.fjhx.common.entity.logistics.dto.LogisticsEndingAmountSelectDto;
import com.fjhx.common.entity.logistics.po.LogisticsEndingAmount;
import com.fjhx.common.entity.logistics.vo.LogisticsEndingAmountVo;
import org.apache.ibatis.annotations.Param;

import java.util.List;


/**
 * <p>
 * 物流期末余额 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-05-06
 */
public interface LogisticsEndingAmountMapper extends BaseMapper<LogisticsEndingAmount> {

    List<LogisticsEndingAmountVo> logisticsRechargeSummary(@Param("dto") LogisticsEndingAmountSelectDto dto);
}
