package com.fjhx.mes.controller.production;

import com.fjhx.mes.entity.production.dto.ProductionBeginConfirmDto;
import com.fjhx.mes.entity.production.po.ProductionBeginConfirm;
import com.fjhx.mes.entity.production.vo.ProductionBeginConfirmVo;
import com.fjhx.mes.service.production.ProductionBeginConfirmService;
import com.ruoyi.common.core.domain.BaseSelectDto;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;


/**
 * <p>
 * 生产开工确认 前端控制器
 * </p>
 *
 * @author
 * @since 2024-06-19
 */
@RestController
@RequestMapping("/productionBeginConfirm")
public class ProductionBeginConfirmController {

    @Autowired
    private ProductionBeginConfirmService productionBeginConfirmService;


    /**
     * 生产开工确认新增
     */
    @PostMapping("/add")
    public void add(@RequestBody ProductionBeginConfirmDto dto) {
        productionBeginConfirmService.add(dto);
    }

    /**
     * 明细
     */
    @PostMapping("/detail")
    public ProductionBeginConfirmVo detail(@RequestBody BaseSelectDto dto) {
        return productionBeginConfirmService.detail(dto.getId());
    }

    /**
     * 明细
     */
    @PostMapping("/getHistoryList")
    public List<ProductionBeginConfirm> getHistoryList(@RequestBody ProductionBeginConfirmDto dto) {
        return productionBeginConfirmService.getHistoryList(dto.getProdOrderId());
    }

}
