package com.fjhx.wms.mapper.manual;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.fjhx.wms.entity.manual.po.ManualStockDetails;
import com.fjhx.wms.entity.manual.vo.ManualStockDetailsVo;
import com.ruoyi.common.utils.wrapper.IWrapper;
import org.apache.ibatis.annotations.Param;


/**
 * <p>
 * 手动出入库记录明细 Mapper 接口
 * </p>
 *
 * @author
 * @since 2024-04-24
 */
public interface ManualStockDetailsMapper extends BaseMapper<ManualStockDetails> {

    Page<ManualStockDetailsVo> getPage(@Param("page") Page<Object> page, @Param("ew") IWrapper<ManualStockDetails> wrapper);

}
